
/* ============================================= */
/* CSS for control sap.ui.unified/Splitter.control */
/* ============================================= */

/**
 * The main Splitter element can have the following classes in addition to its main class
 * "sapUiLoSplitter":
 *   sapUiLoSplitterAnimated - Resizing should be animated (through css-transitions)
 *   sapUiLoSplitterH        - It's a horizontal splitter
 *   sapUiLoSplitterV        - It's a vertical splitter
 * The splitter bars "sapUiLoSplitterBar" and "sapUiLoSplitterOverlayBar" can have the following
 * additional classes:
 *   sapUiLoSplitterNoResize
 *
**/

/********************************************* General ********************************************/

.sapUiLoSplitter {
	position: relative;
	width: 100%;
	height: 100%;
	overflow: hidden;
	display: block;
}

.sapUiLoSplitterContent {
	overflow: auto;
}

.sapUiLoSplitter > .sapUiLoSplitterBar,
.sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar {
	cursor: move;
	font-size: 16px;
	background-color: transparent;
	color: darken(@sapUiLightText, 20);
	text-shadow: 1px 1px @sapUiWhiteBG;

	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.sapUiLoSplitter > .sapUiLoSplitterBar:focus {
	outline: 1px dotted darken(@sapUiHighlight, 12);
	outline-offset: -1px;
}


.sapUiLoSplitter > .sapUiLoSplitterBar:hover {
	background-color: @sapUiDarkBG;
	color: @sapUiTextInverted;
	text-shadow: none;
}

.sapUiLoSplitter > .sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar {
	background-color: @sapUiHighlight;
	color: @sapUiTextInverted;
	text-shadow: none;
}

.sapUiLoSplitterBarIcon {
	text-align: center;
	position: relative;
	display: block;
}

.sapUiLoSplitter.sapUiLoSplitterH > .sapUiLoSplitterBar.sapUiLoSplitterNoResize,
.sapUiLoSplitter.sapUiLoSplitterV > .sapUiLoSplitterBar.sapUiLoSplitterNoResize {
	cursor: default;
	visibility: hidden;
}

.sapUiLoSplitter > .sapUiLoSplitterBar.sapUiLoSplitterNoResize > *,
.sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar.sapUiLoSplitterNoResize > * {
	display: none;
}

.sapUiLoSplitterOverlay {
	display: none;
	position: absolute;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
}

.sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar {
	position: absolute;
}


/******************************************* Horizontal *******************************************/

.sapUiLoSplitterH.sapUiLoSplitter {
	white-space: nowrap;
}

.sapUiLoSplitterH > .sapUiLoSplitterBar,
.sapUiLoSplitterH > .sapUiLoSplitterContent,
.sapUiLoSplitterH > .sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar {
	display: inline-block;
	vertical-align: top;
	height: 100%;
}

.sapUiLoSplitterH > .sapUiLoSplitterBar > .sapUiLoSplitterBarIcon,
.sapUiLoSplitterH > .sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar > .sapUiIcon.sapUiLoSplitterBarIcon {
	font-size: 16px;
	line-height: 16px;
	height: 16px;
	top: ~"calc(50% - 12px)";
}

.sapUiLoSplitterH > .sapUiLoSplitterBar > .sapUiIcon.sapUiLoSplitterBarIcon::before,
.sapUiLoSplitterH > .sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar > .sapUiIcon.sapUiLoSplitterBarIcon::before {
	content: "\e1fa";
}

.sapUiLoSplitterAnimated.sapUiLoSplitterH > .sapUiLoSplitterContent {
	transition: width 200ms ease 0ms;
}

.sapUiLoSplitterH.sapUiLoSplitter > .sapUiLoSplitterBar,
.sapUiLoSplitterH > .sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar {
	cursor: col-resize;
	width: 4px;
}


/******************************************** Vertical ********************************************/

.sapUiLoSplitterV > .sapUiLoSplitterBar,
.sapUiLoSplitterV > .sapUiLoSplitterContent,
.sapUiLoSplitterV > .sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar {
	display: block;
	width: 100%;
}

.sapUiLoSplitterV > .sapUiLoSplitterBar > .sapUiLoSplitterBarIcon,
.sapUiLoSplitterV > .sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar > .sapUiIcon.sapUiLoSplitterBarIcon {
	font-size: 16px;
	line-height: 16px;
	width: 16px;
	left: ~"calc(50% - 8px)";
	top: 0;

}

.sapUiLoSplitterV > .sapUiLoSplitterBar > .sapUiIcon.sapUiLoSplitterBarIcon::before,
.sapUiLoSplitterV > .sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar > .sapUiIcon.sapUiLoSplitterBarIcon::before {
	content: "\e1fb";
}

.sapUiLoSplitterAnimated.sapUiLoSplitterV > .sapUiLoSplitterContent {
	transition: height 200ms ease 0ms;
}

.sapUiLoSplitterV.sapUiLoSplitter > .sapUiLoSplitterBar,
.sapUiLoSplitterV > .sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar {
	cursor: row-resize;
	height: 4px;
}

/************************************** Responsive Bar sizes **************************************/


html.sap-desktop .sapUiLoSplitterH.sapUiLoSplitter > .sapUiLoSplitterBar,
html.sap-desktop .sapUiLoSplitterH > .sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar,
html.sap-desktop .sapUiLoSplitterH .sapUiLoSplitterBarIcon {
	width: 6px;
}


html.sap-desktop .sapUiLoSplitterV.sapUiLoSplitter > .sapUiLoSplitterBar,
html.sap-desktop .sapUiLoSplitterV > .sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar,
html.sap-desktop .sapUiLoSplitterV .sapUiLoSplitterBarIcon {
	height: 6px;
	line-height: 6px;
}


html.sap-tablet .sapUiLoSplitterH.sapUiLoSplitter > .sapUiLoSplitterBar,
html.sap-tablet .sapUiLoSplitterH > .sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar,
html.sap-tablet .sapUiLoSplitterH .sapUiLoSplitterBarIcon {
	width: 16px;
}


html.sap-tablet .sapUiLoSplitterV.sapUiLoSplitter > .sapUiLoSplitterBar,
html.sap-tablet .sapUiLoSplitterV > .sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar,
html.sap-tablet .sapUiLoSplitterV .sapUiLoSplitterBarIcon {
	height: 16px;
	line-height: 16px;
}


html.sap-phone .sapUiLoSplitterH.sapUiLoSplitter > .sapUiLoSplitterBar,
html.sap-phone .sapUiLoSplitterH > .sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar,
html.sap-phone .sapUiLoSplitterH .sapUiLoSplitterBarIcon {
	width: 1px;
}

html.sap-phone .sapUiLoSplitterV.sapUiLoSplitter > .sapUiLoSplitterBar,
html.sap-phone .sapUiLoSplitterV > .sapUiLoSplitterOverlay > .sapUiLoSplitterOverlayBar,
html.sap-phone .sapUiLoSplitterV .sapUiLoSplitterBarIcon {
	height: 1px;
	line-height: 1px;
}


/*********************************** IE Focus outline workaround **********************************/

html[data-sap-ui-browser^=ie] .sapUiLoSplitter > .sapUiLoSplitterBar:focus {
	outline: 0px solid black;
	outline-offset: 0;
}

html[data-sap-ui-browser^=ie] .sapUiLoSplitter > .sapUiLoSplitterBar:focus::after {
	content: "";
	display: block;
	position: relative;
}

html[data-sap-ui-browser^=ie] .sapUiLoSplitterH > .sapUiLoSplitterBar:focus::after {
	top: -1em;
}

html[data-sap-ui-browser^=ie].sap-desktop .sapUiLoSplitterH > .sapUiLoSplitterBar:focus::after {
	height: 100%;
	width: 6px;
	border: 1px dotted darken(@sapUiHighlight, 12);
}
html[data-sap-ui-browser^=ie].sap-tablet .sapUiLoSplitterH > .sapUiLoSplitterBar:focus::after {
	height: 100%;
	width: 16px;
	border: 1px dotted darken(@sapUiHighlight, 12);
}
html[data-sap-ui-browser^=ie].sap-phone .sapUiLoSplitterH > .sapUiLoSplitterBar:focus::after {
	height: 100%;
	width: 1px;
	border: 1px dotted darken(@sapUiHighlight, 12);
}

html[data-sap-ui-browser^=ie].sap-desktop .sapUiLoSplitterV > .sapUiLoSplitterBar:focus::after {
	top: -6px;
	height: 6px;
	width: 100%;
	border: 1px dotted darken(@sapUiHighlight, 12);
}
html[data-sap-ui-browser^=ie].sap-tablet .sapUiLoSplitterV > .sapUiLoSplitterBar:focus::after {
	top: -16px;
	height: 16px;
	width: 100%;
	border: 1px dotted darken(@sapUiHighlight, 12);
}
html[data-sap-ui-browser^=ie].sap-phone .sapUiLoSplitterV > .sapUiLoSplitterBar:focus::after {
	top: -1px;
	height: 1px;
	width: 100%;
	border: 1px dotted darken(@sapUiHighlight, 12);
}

